Skip to main content
POST
/
v1
/
appointment-reminders
/
{id}
/
send
Send an appointment reminder immediately
curl --request POST \
  --url https://dev.flextell.ai/api/v1/appointment-reminders/{id}/send \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "appointment_id": 123,
    "tenant_id": 123,
    "type": "<string>",
    "offset_days": 123,
    "scheduled_for": "2023-11-07T05:31:56Z",
    "sent_at": "2023-11-07T05:31:56Z",
    "channel": "<string>",
    "message": "<string>",
    "status": "<string>",
    "approval_status": "<string>",
    "approved_at": "2023-11-07T05:31:56Z",
    "approved_by": 123,
    "metadata": [
      "<unknown>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "appointment": {
      "id": 123,
      "code": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "relation_type": "<string>",
      "parent_appointment_id": 123,
      "customer": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "phone_number": "<string>",
        "email": "<string>"
      },
      "doctor": {
        "id": 123,
        "name": "<string>"
      },
      "treatments": [
        {
          "id": 123,
          "name": "<string>"
        }
      ],
      "parent_appointment": null
    },
    "approver": {
      "id": 123,
      "name": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The appointment reminder identifier

Response

success
string
required
data
AppointmentReminderResource · object
required